Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# ExtUtils::MM_NW5

Perl 5 version 18.2 documentation
Go to top
Show page index • Show recent pages
Recently read

# ExtUtils::MM_NW5

- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

ExtUtils::MM_NW5 - methods to override UN*X behaviour in ExtUtils::MakeMaker

# SYNOPSIS

     use ExtUtils::MM_NW5; # Done internally by ExtUtils::MakeMaker if needed

# DESCRIPTION

See ExtUtils::MM_Unix for a documentation of the methods provided there. This package overrides the implementation of these methods, not the semantics.

- os_flavor

  We're Netware in addition to being Windows.

- init_platform

  Add Netware macros.

  LIBPTH, BASE_IMPORT, NLM_VERSION, MPKTOOL, TOOLPATH, BOOT_SYMBOL, NLM_SHORT_NAME, INCLUDE, PATH, MM_NW5_REVISION

- platform_constants

  Add Netware macros initialized above to the Makefile.

- const_cccmd
- static_lib
- dynamic_lib

  Defines how to produce the *.so (or equivalent) files.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION